package org.jdtaus.banking.spi;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class UnsupportedCurrencyExceptionBundle{ 

/** <pre> The currency {0} is not available at {1,date,long}.</pre>. */
public static String getUnsupportedCurrencyText(final Locale locale) {
    return getMessage("unsupportedCurrency", locale);
}

/** <pre> The currency {0} is not available at {1,date,long}.</pre>. */
public static MessageFormat getUnsupportedCurrencyMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("unsupportedCurrency", locale), locale);
}

private static final Map cache = new HashMap();

private static String getMessage(final String key, Locale locale) {
    if(locale == null) {locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.banking.spi.UnsupportedCurrencyException", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
